Subject: Re: bug#4134: 23.1; Buffer Tab not being linked properly

From: David Ronis <[email-masked]>
Date: Thu, 20 Aug 2009 21:31:07 -0400

On Thu, 2009-08-20 at 21:18 -0400, Glenn Morris wrote:
> David Ronis wrote:
> 
> > 1. started 'emacs -Q model.f' as suggested.
> > 2. emacs sets the buffer mode to fortran and I have the usual "Fortran"
> > button in the menubar.
> > 3. compile the program using alt-x compile (then simply run make without
> > -k).  The window splits and I see the expected output of the
> > compilation.  
> >
> > If I set the focus to the *compile* buffer, the "Fortran" menubar button
> > changes to "Compile" (as it should); however, clicking on that button
> > gets the fortran menu, not the compile one.
> 
> Sorry, but for me this works as it should.
> 
> Are you somehow changing the focus when you go to select the menu bar?
> What happens if you put the compilation window above the Fortran window?

I tried putting the fortran window above, below, and single-window--no
differences.

> > P.S., I've been using emacs for a long time, but where do you see
> > version 11?
> 
> I was making fun of your CFLAGS setting. Does that really make any
> measurable difference to anything, or is it just one louder?

Ahh...  I leave CFLAGS set to ultra aggressive in the environment (it
does make a difference in some of the things I do, although, very very
very unlikely to be seen in emacs).  I'm using gcc 4.4.1 which is
relatively new; perhaps this is a compiler bug.  I'll rebuild with saner
flags and see what happens.  I'll report back shortly.

Thanks for looking at this.